> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maxcare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List inventory changes

> Returns inventory changes for a facility. Requires read:inventory scope.



## OpenAPI

````yaml /openapi-v3.json get /inventory/changes
openapi: 3.0.0
info:
  title: Max AI Public API
  description: API for third-party marketplace apps
  version: '3.0'
  contact: {}
servers:
  - url: https://api.maxcare.ai/v3
security: []
tags: []
paths:
  /inventory/changes:
    get:
      tags:
        - Inventory
      summary: List inventory changes
      description: Returns inventory changes for a facility. Requires read:inventory scope.
      operationId: InventoryPublicController_listChanges
      parameters:
        - name: facilityId
          required: true
          in: query
          description: Facility ID to list changes for
          schema:
            type: string
        - name: status
          required: false
          in: query
          description: Filter by change status
          schema:
            type: string
        - name: X-Organization-Id
          in: header
          required: true
          schema:
            type: string
          description: Target clinic organization ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListChangesSuccessResponseV3'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiUnauthorizedResponse'
        '403':
          description: Insufficient scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiForbiddenResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiRateLimitResponse'
      security:
        - api-key: []
components:
  schemas:
    ListChangesSuccessResponseV3:
      type: object
      properties:
        code:
          type: string
          description: Response code
          example: success
        data:
          $ref: '#/components/schemas/ListChangesResponseDataV3'
      required:
        - code
        - data
    PublicApiUnauthorizedResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: unauthorized
        message:
          type: string
          description: Human-readable error message
          example: Invalid or missing API key
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiForbiddenResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: forbidden
        message:
          type: string
          description: Human-readable error message
          example: Insufficient scope
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiRateLimitResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: rate_limit_exceeded
        message:
          type: string
          description: Human-readable error message
          example: Rate limit exceeded. Maximum 1000 requests per 60 seconds.
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    ListChangesResponseDataV3:
      type: object
      properties:
        changes:
          type: array
          items:
            $ref: '#/components/schemas/ExternalChangeResponseV3'
      required:
        - changes
    ExternalChangeResponseV3:
      type: object
      properties:
        id:
          type: string
          description: Change ID
          example: chg_f2a3b4c5d6e74f8a9b0c1d2e3f4a5b6c
        facilityId:
          type: string
          description: Facility ID
          example: fac_b2c3d4e5f6a74b8c9d0e1f2a3b4c5d6e
        name:
          type: string
          description: Change name
          example: Weekly Receiving - Jan 20
        type:
          type: string
          description: Change type
          enum:
            - receiving
            - used
            - inventory
          example: receiving
        status:
          type: string
          description: Change status
          enum:
            - open
            - closed
          example: closed
        notes:
          type: string
          description: Notes
          nullable: true
          example: Regular weekly shipment from Cardinal Health
        closedAt:
          type: string
          description: Closed timestamp
          nullable: true
          example: '2025-01-20T17:00:00.000Z'
        createdAt:
          type: string
          description: Created timestamp
          example: '2025-01-20T09:00:00.000Z'
        updatedAt:
          type: string
          description: Last updated timestamp
          example: '2025-01-20T17:00:00.000Z'
        itemCount:
          type: number
          description: Number of items in this change
          example: 15
      required:
        - id
        - facilityId
        - name
        - type
        - status
        - notes
        - closedAt
        - createdAt
        - updatedAt
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Marketplace API key

````